DB_MPOOLFILE->get_lsn_offset()
Prev | Chapter 8. The DB_MPOOLFILE Handle | Next

## DB_MPOOLFILE->get_lsn_offset()

    #include <db.h>

    int
    DB_MPOOLFILE->get_lsn_offset(DB_MPOOLFILE *mpf, int32_t *lsn_offsetp);

The `DB_MPOOLFILE->get_lsn_offset()` method returns the log sequence number byte offset configured for a file's pages using the DB_MPOOLFILE->set_lsn_offset() method.

The `DB_MPOOLFILE->get_lsn_offset()` method may be called at any time during the life of the application.

The `DB_MPOOLFILE->get_lsn_offset()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### lsn_offsetp

The `DB_MPOOLFILE->get_lsn_offset()` method returns the log sequence number byte offset in lsn_offsetp.

### Class

DB_ENV, DB_MPOOLFILE

### See Also

Memory Pools and Related Methods, DB_MPOOLFILE->set_lsn_offset()

Prev | Up | Next
DB_MPOOLFILE->get_ftype() | Home | DB_MPOOLFILE->get_maxsize()